commit 11bf86f64705d51fcf53ff8ae83c9019456af75d
Author: freddy77 <freddy77>
Date:   Tue Jul 15 09:53:00 2008 +0000

    remove warnings

diff --git a/ChangeLog b/ChangeLog
index f3d0e18..cb93754 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Jul 15 11:52:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/datafmt.c src/odbc/sql2tds.c:
+	* src/dblib/unittests/rpc.c:
+	- remove warnings
+
 Tue Jul 15 11:51:59 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/freetds_autobuild: from version 0.82 do all tests
 
@@ -441,4 +446,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2558 2008/07/15 09:52:16 freddy77 Exp $
+$Id: ChangeLog,v 1.2559 2008/07/15 09:53:00 freddy77 Exp $
diff --git a/src/ctlib/unittests/datafmt.c b/src/ctlib/unittests/datafmt.c
index 1dcf934..473cf1b 100644
--- a/src/ctlib/unittests/datafmt.c
+++ b/src/ctlib/unittests/datafmt.c
@@ -11,7 +11,7 @@
 #include <ctpublic.h>
 #include "common.h"
 
-static char software_version[] = "$Id: datafmt.c,v 1.2 2008/07/06 17:00:32 jklowden Exp $";
+static char software_version[] = "$Id: datafmt.c,v 1.3 2008/07/15 09:53:00 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* Testing: data truncation behavior of ct_fetch */
@@ -72,12 +72,14 @@ main(int argc, char *argv[])
 			break;
 		case CS_CMD_FAIL:
 			fprintf(stderr, "ct_results() result_type CS_CMD_FAIL.\n");
+			free(addr);
 			return 1;
 		case CS_ROW_RESULT:
 
 			ret = ct_res_info(cmd, CS_NUMDATA, &num_cols, CS_UNUSED, NULL);
 			if (ret != CS_SUCCEED) {
 				fprintf(stderr, "ct_res_info() failed");
+				free(addr);
 				return 1;
 			}
 			fprintf(stderr, "%d column%s\n", num_cols, num_cols==1? "":"s");
@@ -85,6 +87,7 @@ main(int argc, char *argv[])
 			ret = ct_describe(cmd, 1, &datafmt);
 			if (ret != CS_SUCCEED) {
 				fprintf(stderr, "ct_describe() failed\n");
+				free(addr);
 				return 1;
 			}
 
@@ -105,6 +108,7 @@ main(int argc, char *argv[])
 			ret = ct_bind(cmd, 1, &datafmt, addr, &copied, &ind);
 			if (ret != CS_SUCCEED) {
 				fprintf(stderr, "ct_bind() failed\n");
+				free(addr);
 				return 1;
 			}
 
@@ -123,15 +127,19 @@ main(int argc, char *argv[])
 					break;
 				case CS_ROW_FAIL:
 					fprintf(stderr, "error: ct_fetch() returned CS_ROW_FAIL on row %d.\n", row_count);
+					free(addr);
 					return 1;
 				case CS_CANCELED:
 					fprintf(stderr, "error: ct_fetch() returned CS_CANCELED??\n");
+					free(addr);
 					return 1;
 				case CS_FAIL:
 					fprintf(stderr, "error: ct_fetch() returned CS_FAIL.\n");
+					free(addr);
 					return 1;
 				default:
 					fprintf(stderr, "error: ct_fetch() unexpected return.\n");
+					free(addr);
 					return 1;
 				}
 			}
@@ -145,10 +153,12 @@ main(int argc, char *argv[])
 		break;
 	case CS_FAIL:
 		fprintf(stderr, "ct_results() failed.\n");
+		free(addr);
 		return 1;
 		break;
 	default:
 		fprintf(stderr, "ct_results() unexpected return.\n");
+		free(addr);
 		return 1;
 	}
 
@@ -158,8 +168,10 @@ main(int argc, char *argv[])
 	ret = try_ctlogout(ctx, conn, cmd, verbose);
 	if (ret != CS_SUCCEED) {
 		fprintf(stderr, "Logout failed\n");
+		free(addr);
 		return 1;
 	}
 
+	free(addr);
 	return 0;
 }
diff --git a/src/dblib/unittests/rpc.c b/src/dblib/unittests/rpc.c
index 82deff0..af41df7 100644
--- a/src/dblib/unittests/rpc.c
+++ b/src/dblib/unittests/rpc.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: rpc.c,v 1.33 2008/06/12 01:00:48 jklowden Exp $";
+static char software_version[] = "$Id: rpc.c,v 1.34 2008/07/15 09:53:01 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char cmd[4096];
@@ -124,7 +124,7 @@ ignore_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr, char
 	return erc;
 }
 
-int 
+static int 
 colwidth( DBPROCESS * dbproc, int icol ) 
 {
 	int width = dbwillconvert(dbcoltype(dbproc, icol), SYBCHAR);
@@ -260,7 +260,7 @@ main(int argc, char **argv)
 	}
 
 	printf("executing dbrpcparam\n");
-	erc = dbrpcparam(dbproc, param5, 0, SYBVARCHAR, /*maxlen= */ -1, /* datalen= */ 2, &"OK:");
+	erc = dbrpcparam(dbproc, param5, 0, SYBVARCHAR, /*maxlen= */ -1, /* datalen= */ 2, (BYTE *) "OK:");
 	if (erc == FAIL) {
 		fprintf(stderr, "Failed line %d: dbrpcparam\n", __LINE__);
 		failed = 1;
diff --git a/src/odbc/sql2tds.c b/src/odbc/sql2tds.c
index 6b217de..e2cef12 100644
--- a/src/odbc/sql2tds.c
+++ b/src/odbc/sql2tds.c
@@ -52,7 +52,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sql2tds.c,v 1.67 2008/07/14 08:14:48 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sql2tds.c,v 1.68 2008/07/15 09:53:00 freddy77 Exp $");
 
 static TDS_INT
 convert_datetime2server(int bindtype, const void *src, TDS_DATETIME * dt)
@@ -242,7 +242,7 @@ sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _drecord
 			return SQL_ERROR;
 		}
 		if (sql_src_type == SQL_C_WCHAR)
-			len = sqlwcslen(src);
+			len = sqlwcslen((const SQLWCHAR *) src);
 		else
 			len = strlen(src);
 		break;

